xmonad-contrib-0.15: Third party extensions for xmonad

Copyright | (c) 2018 Lucian Poston
License | BSD-style (see LICENSE)
Maintainer | <lucianposton@pm.me>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.MultiToggle.TabBarDecoration

Description

Provides a simple transformer for use with XMonad.Layout.MultiToggle to dynamically toggle XMonad.Layout.TabBarDecoration.

Synopsis

- data SimpleTabBar = SIMPLETABBAR

# Documentation

data SimpleTabBar Source #

Transformer for XMonad.Layout.TabBarDecoration.

Constructors

SIMPLETABBAR |

Instances

Eq SimpleTabBar Source # |
Instance details Defined in XMonad.Layout.MultiToggle.TabBarDecoration Methods (==) :: SimpleTabBar -> SimpleTabBar -> Bool Source # (/=) :: SimpleTabBar -> SimpleTabBar -> Bool Source #
Read SimpleTabBar Source # |
Instance details Defined in XMonad.Layout.MultiToggle.TabBarDecoration Methods readsPrec :: Int -> ReadS SimpleTabBar Source # readList :: ReadS [SimpleTabBar] Source # readPrec :: ReadPrec SimpleTabBar Source # readListPrec :: ReadPrec [SimpleTabBar] Source #
Show SimpleTabBar Source # |
Instance details Defined in XMonad.Layout.MultiToggle.TabBarDecoration Methods showsPrec :: Int -> SimpleTabBar -> ShowS Source # show :: SimpleTabBar -> String Source # showList :: [SimpleTabBar] -> ShowS Source #
Transformer SimpleTabBar Window Source # |
Instance details Defined in XMonad.Layout.MultiToggle.TabBarDecoration Methods transform :: LayoutClass l Window => SimpleTabBar -> l Window -> (forall (l' :: Type -> Type). LayoutClass l' Window => l' Window -> (l' Window -> l Window) -> b) -> b Source #